# class Win32::Registry::PredefinedKey

Predefined Keys

### Public Class Methods

new(hkey, keyname) click to toggle source

    # File ext/win32/lib/win32/registry.rb, line 200
    def initialize(hkey, keyname)
      @hkey = hkey
      @parent = nil
      @keyname = keyname
      @disposition = REG_OPENED_EXISTING_KEY
    end

### Public Instance Methods

class() click to toggle source

Fake `class` method for `Registry#open`, `Registry#create`

    # File ext/win32/lib/win32/registry.rb, line 213
    def class
      Registry
    end

close() click to toggle source

Predefined keys cannot be closed

    # File ext/win32/lib/win32/registry.rb, line 208
    def close
      raise Error.new(5) ## ERROR_ACCESS_DENIED
    end